# Class EvmChain<N, C>

#### Type Parameters

- #### N extends Network = Network

- #### C extends Chain = EvmChains

#### Hierarchy

- ChainContext<N, EvmPlatformType, C>
  - EvmChain

- Defined in platforms/evm/src/chain.ts:4

#####
Index

### Constructors

constructor

### Properties

autoCircleBridge?
autoTokenBridge?
chain
circleBridge?
config
coreBridge?
ibcBridge?
network
platform
rpc?
supportsAutomaticCircleBridge
supportsAutomaticTokenBridge
supportsCircleBridge
supportsIbcBridge
supportsTokenBridge
supportsWormholeCore
tokenBridge?

### Methods

getAutomaticCircleBridge
getAutomaticTokenBridge
getBalance
getCircleBridge
getDecimals
getIbcBridge
getLatestBlock
getLatestFinalizedBlock
getNativeWrappedTokenId
getRpc
getToken
getTokenAccount
getTokenBridge
getWormholeCore
parseTransaction
sendWait
supportsProtocol

## Constructors

### constructor

- new EvmChain<N, C>(chain, platform, rpc?): EvmChain<N, C>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet" = "Mainnet" | "Testnet" | "Devnet"

  - #### C extends "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky" = "Ethereum" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Moonbeam" | "Neon" | "Arbitrum" | "Optimism" | "Gnosis" | "Base" | "Rootstock" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky"

  #### Parameters

  - ##### chain: C

  - ##### platform: PlatformContext<N, "Evm">

  - ##### `Optional` rpc: any

  #### Returns EvmChain<N, C>

  Inherited from ChainContext.constructor

  - Defined in core/definitions/dist/esm/chain.d.ts:23

## Properties

### `Protected` `Optional` autoCircleBridge

autoCircleBridge?: AutomaticCircleBridge<N, "Evm", C>

Inherited from ChainContext.autoCircleBridge

- Defined in core/definitions/dist/esm/chain.d.ts:21

### `Protected` `Optional` autoTokenBridge

autoTokenBridge?: AutomaticTokenBridge<N, "Evm", C>

Inherited from ChainContext.autoTokenBridge

- Defined in core/definitions/dist/esm/chain.d.ts:19

### `Readonly` chain

chain: C

Inherited from ChainContext.chain

- Defined in core/definitions/dist/esm/chain.d.ts:14

### `Protected` `Optional` circleBridge

circleBridge?: CircleBridge<N, "Evm", C>

Inherited from ChainContext.circleBridge

- Defined in core/definitions/dist/esm/chain.d.ts:20

### `Readonly` config

config: ChainConfig<N, C>

Inherited from ChainContext.config

- Defined in core/definitions/dist/esm/chain.d.ts:15

### `Protected` `Optional` coreBridge

coreBridge?: WormholeCore<N, "Evm", C>

Inherited from ChainContext.coreBridge

- Defined in core/definitions/dist/esm/chain.d.ts:17

### `Protected` `Optional` ibcBridge

ibcBridge?: IbcBridge<N, "Evm", C>

Inherited from ChainContext.ibcBridge

- Defined in core/definitions/dist/esm/chain.d.ts:22

### `Readonly` network

network: N

Inherited from ChainContext.network

- Defined in core/definitions/dist/esm/chain.d.ts:12

### `Readonly` platform

platform: PlatformContext<N, "Evm">

Inherited from ChainContext.platform

- Defined in core/definitions/dist/esm/chain.d.ts:13

### `Protected` `Optional` rpc

rpc?: any

Inherited from ChainContext.rpc

- Defined in core/definitions/dist/esm/chain.d.ts:16

### supportsAutomaticCircleBridge

supportsAutomaticCircleBridge: (() => boolean)

#### Type declaration

- - (): boolean

  - #### Returns boolean

Inherited from ChainContext.supportsAutomaticCircleBridge

- Defined in core/definitions/dist/esm/chain.d.ts:43

### supportsAutomaticTokenBridge

supportsAutomaticTokenBridge: (() => boolean)

#### Type declaration

- - (): boolean

  - #### Returns boolean

Inherited from ChainContext.supportsAutomaticTokenBridge

- Defined in core/definitions/dist/esm/chain.d.ts:39

### supportsCircleBridge

supportsCircleBridge: (() => boolean)

#### Type declaration

- - (): boolean

  - #### Returns boolean

Inherited from ChainContext.supportsCircleBridge

- Defined in core/definitions/dist/esm/chain.d.ts:41

### supportsIbcBridge

supportsIbcBridge: (() => boolean)

#### Type declaration

- - (): boolean

  - #### Returns boolean

Inherited from ChainContext.supportsIbcBridge

- Defined in core/definitions/dist/esm/chain.d.ts:45

### supportsTokenBridge

supportsTokenBridge: (() => boolean)

#### Type declaration

- - (): boolean

  - #### Returns boolean

Inherited from ChainContext.supportsTokenBridge

- Defined in core/definitions/dist/esm/chain.d.ts:37

### supportsWormholeCore

supportsWormholeCore: (() => boolean)

#### Type declaration

- - (): boolean

  - #### Returns boolean

Inherited from ChainContext.supportsWormholeCore

- Defined in core/definitions/dist/esm/chain.d.ts:35

### `Protected` `Optional` tokenBridge

tokenBridge?: TokenBridge<N, "Evm", C>

Inherited from ChainContext.tokenBridge

- Defined in core/definitions/dist/esm/chain.d.ts:18

## Methods

### getAutomaticCircleBridge

- getAutomaticCircleBridge(): Promise<AutomaticCircleBridge<N, "Evm", C>>

- #### Returns Promise<AutomaticCircleBridge<N, "Evm", C>>

  Inherited from ChainContext.getAutomaticCircleBridge

  - Defined in core/definitions/dist/esm/chain.d.ts:44

### getAutomaticTokenBridge

- getAutomaticTokenBridge(): Promise<AutomaticTokenBridge<N, "Evm", C>>

- #### Returns Promise<AutomaticTokenBridge<N, "Evm", C>>

  Inherited from ChainContext.getAutomaticTokenBridge

  - Defined in core/definitions/dist/esm/chain.d.ts:40

### getBalance

- getBalance(walletAddr, token): Promise<bigint>

- #### Parameters

  - ##### walletAddr: string

  - ##### token: TokenAddress<C>

  #### Returns Promise<bigint>

  Inherited from ChainContext.getBalance

  - Defined in core/definitions/dist/esm/chain.d.ts:26

### getCircleBridge

- getCircleBridge(): Promise<CircleBridge<N, "Evm", C>>

- #### Returns Promise<CircleBridge<N, "Evm", C>>

  Inherited from ChainContext.getCircleBridge

  - Defined in core/definitions/dist/esm/chain.d.ts:42

### getDecimals

- getDecimals(token): Promise<bigint>

- #### Parameters

  - ##### token: TokenAddress<C>

  #### Returns Promise<bigint>

  Inherited from ChainContext.getDecimals

  - Defined in core/definitions/dist/esm/chain.d.ts:25

### getIbcBridge

- getIbcBridge(): Promise<IbcBridge<N, "Evm", C>>

- #### Returns Promise<IbcBridge<N, "Evm", C>>

  Inherited from ChainContext.getIbcBridge

  - Defined in core/definitions/dist/esm/chain.d.ts:46

### getLatestBlock

- getLatestBlock(): Promise<number>

- #### Returns Promise<number>

  Inherited from ChainContext.getLatestBlock

  - Defined in core/definitions/dist/esm/chain.d.ts:27

### getLatestFinalizedBlock

- getLatestFinalizedBlock(): Promise<number>

- #### Returns Promise<number>

  Inherited from ChainContext.getLatestFinalizedBlock

  - Defined in core/definitions/dist/esm/chain.d.ts:28

### getNativeWrappedTokenId

- getNativeWrappedTokenId(): Promise<TokenId<C>>

- #### Returns Promise<TokenId<C>>

  Inherited from ChainContext.getNativeWrappedTokenId

  - Defined in core/definitions/dist/esm/chain.d.ts:32

### getRpc

- getRpc(): Promise<any>

- #### Returns Promise<any>

  Inherited from ChainContext.getRpc

  - Defined in core/definitions/dist/esm/chain.d.ts:24

### getToken

- getToken(symbol): tokens.Token

- #### Parameters

  - ##### symbol: string

  #### Returns tokens.Token

  Inherited from ChainContext.getToken

  - Defined in core/definitions/dist/esm/chain.d.ts:31

### getTokenAccount

- getTokenAccount(address, token): Promise<ChainAddress<C>>

- #### Parameters

  - ##### address: UniversalOrNative<C>

  - ##### token: UniversalOrNative<C>

  #### Returns Promise<ChainAddress<C>>

  Inherited from ChainContext.getTokenAccount

  - Defined in core/definitions/dist/esm/chain.d.ts:33

### getTokenBridge

- getTokenBridge(): Promise<TokenBridge<N, "Evm", C>>

- #### Returns Promise<TokenBridge<N, "Evm", C>>

  Inherited from ChainContext.getTokenBridge

  - Defined in core/definitions/dist/esm/chain.d.ts:38

### getWormholeCore

- getWormholeCore(): Promise<WormholeCore<N, "Evm", C>>

- #### Returns Promise<WormholeCore<N, "Evm", C>>

  Inherited from ChainContext.getWormholeCore

  - Defined in core/definitions/dist/esm/chain.d.ts:36

### parseTransaction

- parseTransaction(txid): Promise<WormholeMessageId[]>

- #### Parameters

  - ##### txid: string

  #### Returns Promise<WormholeMessageId[]>

  Inherited from ChainContext.parseTransaction

  - Defined in core/definitions/dist/esm/chain.d.ts:29

### sendWait

- sendWait(stxns): Promise<string[]>

- #### Parameters

  - ##### stxns: any

  #### Returns Promise<string[]>

  Inherited from ChainContext.sendWait

  - Defined in core/definitions/dist/esm/chain.d.ts:30

### supportsProtocol

- supportsProtocol(protocolName): boolean

- #### Parameters

  - ##### protocolName: "WormholeCore" | "TokenBridge" | "AutomaticTokenBridge" | "CircleBridge" | "AutomaticCircleBridge" | "Relayer" | "IbcBridge" | "NftBridge"

  #### Returns boolean

  Inherited from ChainContext.supportsProtocol

  - Defined in core/definitions/dist/esm/chain.d.ts:34

Generated using TypeDoc